/**********************************************************************************************/
/* VDK_Float.h																				  */
/*                                                                       					  */
/* Valentina SDK    																		  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved                                                   					  */
/**********************************************************************************************/

#ifndef __VDK_Float_h 
	#define __VDK_Float_h
	
#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/VDK_Field.h>
#else
#	include <VDK_Field.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_EXP VDK_Float : public virtual VDK_Field
{
	public://///////////////////////////////////////////////////////////////////////////////////
		
FBL_EXP							VDK_Float( const char* inName, ushort inFlags = 0 );
virtual							~VDK_Float( void ) {}
		
		/* Value methods */
		
FBL_EXP	virtual	void			operator =( float inValue ); 
FBL_EXP	virtual					operator float( void ) const; 

		/* Search methods */
		
		FBL_BitSet*				Find( const float* inLeftValue , bool inLeftInclude, 
									  const float* inRightValue, bool inRightInclude ) 
								{
									return VDK_Field::Find( inLeftValue,  inLeftInclude,
															inRightValue, inRightInclude );
								}
		
		FBL_BitSet* 			Find( const float* inKey = NULL )	{
									return VDK_Field::Find( inKey );
								}
}; 


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif  


